WS for getting perspectives related data for active configuration.
Get members of specified perspective in active system configuration.
| name | type | description | constraints |
|---|---|---|---|
| perspectiveId | path | The unique identifier of perspective | long |
| media type | data type | description |
|---|---|---|
| application/json | array of HdcPerspectiveRelativeTO (JSON) | JSON Response with description of perspective
Example of response:
{"list":[{"classId":"10","classLabel":"Faciliteter"},{"classId":"11","classLabel":"Fastighet"},{"classId":"13","classLabel":"Plan"},{"classId":"12","classLabel":"Hus"}]}
|
GET /api/admin/perspectiveset/members/json/{perspectiveId}
Content-Type: */*
Accept: application/json
...
HTTP/1.1 200 OK
Content-Type: application/json
[ { } ]
Get perspectives for specified perspective set.
| name | type | description | constraints |
|---|---|---|---|
| perspectiveSetId | path | The unique identifier of perspective | long |
| media type | data type | description |
|---|---|---|
| application/json | array of HdcPerspectiveTO (JSON) | JSON Response with description of perspective
Example of response:
{"list":[{"classId":"10","classLabel":"Faciliteter"},{"classId":"11","classLabel":"Fastighet"},{"classId":"13","classLabel":"Plan"},{"classId":"12","classLabel":"Hus"}]}
|
GET /api/admin/perspectiveset/perspectives/json/{perspectiveSetId}
Content-Type: */*
Accept: application/json
...
HTTP/1.1 200 OK
Content-Type: application/json
[ { } ]